| Classes - Annotated - Tree - Functions - Home - Structure

# QDomEntity Class Reference
[ XML module ]

The QDomEntity class represents an XML entity. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomEntity ()
- QDomEntity ( const QDomEntity & x )
- QDomEntity& operator= ( const QDomEntity & )
- ~QDomEntity ()
- virtual QString publicId () const
- virtual QString systemId () const
- virtual QString notationName () const
- virtual QDomNode::NodeType nodeType () const
- virtual bool isEntity () const

## Detailed Description

The QDomEntity class represents an XML entity.

This class represents an entity in an XML document, either parsed or unparsed. Note that this models the entity itself not the entity declaration.

DOM does not support editing entity nodes; if a user wants to make changes to the contents of an entity, every related QDomEntityReference node has to be replaced in the DOM tree by a clone of the entity's contents, and then the desired changes must be made to each of those clones instead. All the descendants of an entity node are readonly.

An entity node does not have any parent.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomEntity::QDomEntity ()

Constructs an empty entity.

### QDomEntity::QDomEntity ( const QDomEntity & x )

Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomEntity::~QDomEntity ()

Destructor.

### bool QDomEntity::isEntity () const `[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomEntity::nodeType() const `[virtual]`

Returns `EntityNode.`

Reimplemented from QDomNode.

### QString QDomEntity::notationName () const `[virtual]`

For unparsed entities this function returns the name of the notation for the entity. For parsed entities this function returns QString::null.

### QDomEntity& QDomEntity::operator= ( const QDomEntity & x )

Assignment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QString QDomEntity::publicId () const `[virtual]`

Returns the public identifier associated with this entity. If the public identifier was not specified QString::null is returned.

### QString QDomEntity::systemId () const `[virtual]`

Returns the system identifier associated with this entity. If the system identifier was not specified QString::null is returned.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.